"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
/* global test, expect, afterEach */
const execa = require("execa");
const path = require("path");
const shell = (execa.shell);
const cwd = process.cwd();
const CLI = path.resolve(cwd, `./dist/src/index.js`);
const expectedFixture = `beforeAll(()=> {
  // something
});

beforeEach(()=> {
});

describe('Array', function() {
  beforeEach(()=> {
  });

  it('Array', (done: jest.DoneCallback) => {
    done();
  });

  it.skip('Array', function(done) {
    done();
  });
});

describe('', () => {
  it('', (done: jest.DoneCallback) => {
    done();
  });
});`;
test(`tscodeshift should run files relative to the current working directory`, () => {
    expect.assertions(1);
    return shell([
        `cp mocha.fixture.to-copy mocha.fixture.ts`,
        `node ${CLI} -t ./dist/src/transforms/mocha.js 'mocha.fixture.ts'`,
        `cat mocha.fixture.ts`
    ].join(` && `)).then((results) => {
        expect(results.stdout).toBe(expectedFixture);
    });
});
afterEach(() => shell(`rm mocha.fixture.ts`));
